AOMedia Codec SDK

Data Fields
aom_codec_dec_cfg Struct Reference
Common Algorithm Interface » Decoder Algorithm Interface

Initialization Configurations. More...

`#include <aom_decoder.h>`

Collaboration diagram for aom_codec_dec_cfg:
[legend]

## Data Fields
unsigned int | threads
unsigned int | w
unsigned int | h
unsigned int | allow_lowbitdepth
cfg_options_t | cfg

## Detailed Description

Initialization Configurations.

This structure is used to pass init time configuration options to the decoder.

## Field Documentation

## ◆ threads

unsigned int aom_codec_dec_cfg::threads

Maximum number of threads to use, default 1

## ◆ w

unsigned int aom_codec_dec_cfg::w

Width

## ◆ h

unsigned int aom_codec_dec_cfg::h

Height

## ◆ allow_lowbitdepth

unsigned int aom_codec_dec_cfg::allow_lowbitdepth

Allow use of low-bitdepth coding path

## ◆ cfg

cfg_options_t aom_codec_dec_cfg::cfg

Options defined per config attributes

The documentation for this struct was generated from the following file:

- aom/aom_decoder.h